Get user fee distribution history
curl --request POST \
--url https://api.tokenlayer.network/functions/v1/get-user-fee-history \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chains": [
"<string>"
],
"limit": 50,
"offset": 0
}
'import requests
url = "https://api.tokenlayer.network/functions/v1/get-user-fee-history"
payload = {
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"chains": ["<string>"],
"limit": 50,
"offset": 0
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
user_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
chains: ['<string>'],
limit: 50,
offset: 0
})
};
fetch('https://api.tokenlayer.network/functions/v1/get-user-fee-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"distributions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"recipient_address": "<string>",
"amount": "<string>",
"amount_with_decimals": "<string>",
"decimals": 123,
"currency_address": "<string>",
"chain": "<string>",
"tracking_id": "<string>",
"transaction_hash": "<string>",
"block_number": 123,
"created_at": "<string>",
"token": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"symbol": "<string>",
"slug": "<string>",
"logo": "<string>"
}
}
],
"total_count": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Fees & Earnings
Get user fee distribution history
Get paginated history of fee distributions for authenticated user
POST
/
get-user-fee-history
Get user fee distribution history
Authorizations
JWT token or API key
Body
application/json
⌘I
